All resources All frames

# CvsFrame

The CvsDirectoryResource allows you to control the CVS status of the files under some directory (which itself, should be under CVS control). This resource allows you to add, remove, update and commit files. It also provides you with the log and the diff with the latest version of any file.

The best way to use it, is through a directory template, that maps any CVS directory to this resource .

## Inherits

The CvsFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame
- PostableFrame

## Attributes description

The CvsFrame doesn't defines any attribute.

Jigsaw Team
$Id: org.w3c.jigsaw.cvs.CvsFrame.html,v 1.3 1998/03/27 08:15:55 bmahe Exp $